ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From vorpalarrow <arr.mcg...@gmail.com>
Subject Ant Javac Target Attribute Issue
Date Thu, 19 Mar 2009 21:46:47 GMT

I am using:
jdk 1.6.0_11
ant 1.7.1

And I want to target 1.5.

However, using the target attribute below in my build file still generates
"1.6 version" classes.

<javac target="1.5" ...>

I've tried adding the source="1.5" and the bootclasspath="" to the 1.5 jar
files and forking the 1.6 javac just in case.

The only thing that works is installing the 1.5 jdk and using that or fork
the 1.5 javac executable with the 1.5 bootclasspath jars. (rt.jar, jsse.jar,
jce.jar, charsets.jar,...) 

I don't know how to properly target 1.5 with 1.6 in ant. Nothing seems to
work. I know I must be doing something stupid, but I can't figure it out. 

Any help would be extremely appreciated.

Regards,
Jason

-- 
View this message in context: http://www.nabble.com/Ant-Javac-Target-Attribute-Issue-tp22608438p22608438.html
Sent from the Ant - Users mailing list archive at Nabble.com.


---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@ant.apache.org
For additional commands, e-mail: user-help@ant.apache.org


Mime
View raw message